<?php
/**
*	@file logout.php
*	@brief Handles logging user out.
*/

require_once(dirname(__FILE__) . '/functions.php');

do_basic_operations();
unset($_SESSION);
session_destroy();
session_start();

/** string Get current simulation value from get parameter */
$slug = '';


if (isset($_GET['game_slug'])) {
	$slug = friendly_url($_GET['game_slug']);
}


/** Config Instance of configuration class */
$config = Config::getInstance();
// Redirect to app index
if (isset($_GET['admin'])) {
	header('Location: ' . $config->baseurl . 'admin/index.php');
	exit();
}
// Redirect to app index
header('Location: ' . formatAppLink($config->baseurl . 'app/index.php?game_slug=' . $slug));
exit();
?>
