<?php 
/**
*	@file GAL2/index.php
*	@brief Main index page. Just redirects user to the first simulation.
*/
require_once(dirname(__FILE__) . '/general/functions.php');
do_basic_operations();
	
/** string Get current simulation value from get parameter */
$slug = '';


if (isset($_GET['game_slug'])) {
	$slug = friendly_url($_GET['game_slug']);
}
else {
	$db = DB::getInstance();
	$games = $db->getAllgames();
	if (isset($games[0])) {
		$slug = $games[0]['slug'];
	}
}


/** Config Instance of configuration class */
$config = Config::getInstance();
// Redirect to app index
header('Location: ' . formatAppLink($config->baseurl . 'app/index.php?game_slug=' . $slug));
exit();
?>